org.apache.solr.spelling.suggest

## Class HighFrequencyDictionaryFactory

- java.lang.Object
- - org.apache.solr.spelling.suggest.DictionaryFactory
  - - org.apache.solr.spelling.suggest.HighFrequencyDictionaryFactory

-     public class HighFrequencyDictionaryFactory
      extends DictionaryFactory

  Factory for `HighFrequencyDictionary`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `THRESHOLD_TOKEN_FREQUENCY` Minimum frequency of terms to consider when building the dictionary.

    - ### Fields inherited from class org.apache.solr.spelling.suggest.DictionaryFactory

      `DEFAULT_FILE_BASED_DICT, DEFAULT_INDEX_BASED_DICT, params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HighFrequencyDictionaryFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dictionary` | `create(SolrCore core, SolrIndexSearcher searcher)` Create a Dictionary using options in `core` and optionally uses `searcher`, in case of index based dictionaries

    - ### Methods inherited from class org.apache.solr.spelling.suggest.DictionaryFactory

      `setParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### THRESHOLD_TOKEN_FREQUENCY

          public static final String THRESHOLD_TOKEN_FREQUENCY

      Minimum frequency of terms to consider when building the dictionary.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HighFrequencyDictionaryFactory

          public HighFrequencyDictionaryFactory()

  - ### Method Detail

    - #### create

          public Dictionary create(SolrCore core,
                                   SolrIndexSearcher searcher)

      Description copied from class: `DictionaryFactory`
      Create a Dictionary using options in `core` and optionally uses `searcher`, in case of index based dictionaries
      Specified by:
        `create` in class `DictionaryFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.